# wxHtmlHelpData Class Reference
[Help, HTML]

`#include <wx/html/helpdata.h>`

Inheritance diagram for wxHtmlHelpData:
[legend]

## Detailed Description

This class is used by wxHtmlHelpController and wxHtmlHelpFrame to access HTML help items.

It is internal class and should not be used directly - except for the case you're writing your own HTML help controller.

##

Library: wxHTML

Category: Help, HTML

## Public Member Functions
| wxHtmlHelpData ()
| Constructor.
bool | AddBook (const wxString &book_url)
| Adds new book.
wxString | FindPageById (int id)
| Returns page's URL based on integer ID stored in project.
wxString | FindPageByName (const wxString &page)
| Returns page's URL based on its (file)name.
const wxHtmlBookRecArray & | GetBookRecArray () const
| Returns array with help books info.
const wxHtmlHelpDataItems & | GetContentsArray () const
| Returns reference to array with contents entries.
const wxHtmlHelpDataItems & | GetIndexArray () const
| Returns reference to array with index entries.
void | SetTempDir (const wxString &path)
| Sets the temporary directory where binary cached versions of MS HTML Workshop files will be stored.

List of all members.

## Constructor & Destructor Documentation

wxHtmlHelpData::wxHtmlHelpData | ( |  | ) |

Constructor.

## Member Function Documentation

bool wxHtmlHelpData::AddBook | ( | const wxString & | book_url | ) |

Adds new book.

book_url is URL (not filename!) of HTML help project (hhp) or ZIP file that contains arbitrary number of .hhp projects (this zip file can have either .zip or .htb extension, htb stands for "html book").

Returns success.

wxString wxHtmlHelpData::FindPageById | ( | int | id | ) |

Returns page's URL based on integer ID stored in project.

wxString wxHtmlHelpData::FindPageByName | ( | const wxString & | page | ) |

Returns page's URL based on its (file)name.

const wxHtmlBookRecArray& wxHtmlHelpData::GetBookRecArray | ( |  | ) | const

Returns array with help books info.

const wxHtmlHelpDataItems& wxHtmlHelpData::GetContentsArray | ( |  | ) | const

Returns reference to array with contents entries.

const wxHtmlHelpDataItems& wxHtmlHelpData::GetIndexArray | ( |  | ) | const

Returns reference to array with index entries.

void wxHtmlHelpData::SetTempDir | ( | const wxString & | path | ) |

Sets the temporary directory where binary cached versions of MS HTML Workshop files will be stored.

(This is turned off by default and you can enable this feature by setting non-empty temp dir.)

|  | [ top ]